Package org.pentaho.reporting.libraries.resourceloader

## Class LoaderParameterKey

- java.lang.Object
- - org.pentaho.reporting.libraries.resourceloader.LoaderParameterKey

- All Implemented Interfaces:
    `java.io.Serializable`

      public final class LoaderParameterKey
      extends java.lang.Object
      implements java.io.Serializable

  Creation-Date: 16.05.2006, 15:24:21
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LoaderParameterKey​(java.lang.String name)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `java.lang.String` | `getName()` |
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoaderParameterKey

          public LoaderParameterKey​(java.lang.String name)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`